Bug 601086 - All nodes fail during recovery with stack protector sigabrt
All nodes fail during recovery with stack protector sigabrt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On: 594480
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 03:58 EDT by RHEL Product and Program Management
Modified: 2016-04-26 11:24 EDT (History)
9 users (show)

See Also:
Fixed In Version: openais-0.80.6-16.el5_5.3
Doc Type: Bug Fix
Doc Text:
In high loss networks, all nodes in a cluster experienced a buffer overflow and aborted when a threshold of unprocessed/not transmitted packets was reached. With this update, even when a significant number of packets is unprocessed/not transmitted, all nodes in a cluster work as expected and do not abort.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 06:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-06-07 03:58:01 EDT
This bug has been copied from bug #594480 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 4 Martin Prpič 2010-08-05 05:08:20 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
In high loss networks, all nodes in a cluster experienced a buffer overflow and aborted when a threshold of unprocessed/not transmitted packets was reached. With this update, even when a significant number of packets is unprocessed/not transmitted, all nodes in a cluster work as expected and do not abort.
Comment 5 Jaroslav Kortus 2010-08-12 06:15:40 EDT
Aug 10 11:11:20 a3 openais[3788]: [TOTEM] Originated 414 messages in RECOVERY.
And the cluster was still working as expected.
Comment 6 errata-xmlrpc 2010-08-13 06:45:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0629.html

Note You need to log in before you can comment on or make changes to this bug.